<!doctype html>
<html lang="en" data-bs-theme="dark">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=yes">

    <!-- Bootstrap CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-T3c6CoIi6uLrA9TneNEoa7RxnatzjcDSCmG1MXxSR1GAsXEV/Dwwykc2MPK8M2HN" crossorigin="anonymous">

    <title>{% block title %} {% endblock %}</title>
  </head>
  <body>
    <nav class="navbar navbar-expand bg-dark">
      <div class="container-fluid">
        <a class="navbar-brand" href="{{ url_for('index')}}">Trains</a>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNav">
          <ul class="navbar-nav">
            <li class="nav-item"><a class="nav-link" href="{{ url_for('historypage')}}">History</a></li>
            <li><hr class="dropdown-divider"></li>
            <li class="nav-item"><a class="nav-link" href="https://dataportal.orr.gov.uk/statistics/performance/passenger-rail-performance/">Office for made up stats</a></li>
            <li><hr class="dropdown-divider"></li>
            <li class="nav-item"><a class="nav-link" href="{{ url_for('history')}}?stationid={{station_id}}">History API</a></li>
            <li class="nav-item"><a class="nav-link" href="{{ url_for('current')}}?stationid={{station_id}}">Current API</a></li>
            <li class="nav-item"><a class="nav-link" href="{{ url_for('station')}}?stationid={{station_id}}">Live API</a></li>
          </ul>
        </div>
      </div>
    </nav>
    <div class="container">
        {% block content %} {% endblock %}
    </div>

    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-C6RzsynM9kWDrMNeT87bh95OGNyZPhcTNXj1NW7RuBCsyN/o0jlpcV8Qyq46cDfL" crossorigin="anonymous"></script>
  </body>
</html>